(defsystem "cl-astar"
  :version "0.0.1"
  :author "Andrew Kravchuk <awkravchuk@gmail.com>"
  :license "MIT"
  :homepage "https://gitlab.com/lockie/cl-astar"
  :depends-on (#:let-plus #:alexandria #:float-features
                          #:trivial-adjust-simple-array)
  :components ((:module "src"
                :components
                ((:file "package")
                 (:file "priority-queue")
                 (:file "main"))))
  :description
  "A heavily optimized yet flexible A* pathfinding algorithm implementation"
  :in-order-to ((test-op (test-op "cl-astar/tests"))))

(defsystem "cl-astar/tests"
  :author "Andrew Kravchuk <awkravchuk@gmail.com>"
  :license "MIT"
  :depends-on (#:cl-astar #:parachute #+sbcl #:sb-cover)
  :components ((:module "tests"
                :components
                ((:file "package")
                 (:file "main")
                 (:file "paths")
                 (:file "coding")
                 (:file "basic"))))
  :description "Test system for cl-astar"
  :perform (test-op (op c) (uiop:symbol-call :cl-astar/tests '#:run)))
